=== unittest/CMakeLists.txt ===
ENABLE_TESTING()
add_subdirectory(base64unittest)
add_subdirectory(bigintunittest)
add_subdirectory(certunittest)
add_subdirectory(cipherunittest)
add_subdirectory(clientplugin)
add_subdirectory(cms)
add_subdirectory(dsaunittest)
#add_subdirectory(filewatchunittest)
add_subdirectory(hashunittest)
add_subdirectory(hexunittest)
add_subdirectory(kdfunittest)
add_subdirectory(keybundle)
add_subdirectory(keygenunittest)
add_subdirectory(keylengthunittest)
add_subdirectory(keystore)
add_subdirectory(macunittest)
add_subdirectory(metatype)
#add_subdirectory(pgpunittest)
add_subdirectory(pkits)
add_subdirectory(randomunittest)
add_subdirectory(rsaunittest)
add_subdirectory(securearrayunittest)
add_subdirectory(staticunittest)
add_subdirectory(symmetrickeyunittest)
add_subdirectory(tls)
add_subdirectory(velox)
