## qca2 2.0.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -12,11 +12,21 @@
 
 find_package(Qt4 REQUIRED)
 
+SET(QCA_LIB_MAJOR_VERSION "2")
+SET(QCA_LIB_MINOR_VERSION "0")
+SET(QCA_LIB_PATCH_VERSION "0")
+
+SET(QCA_LIB_VERSION_STRING "${QCA_LIB_MAJOR_VERSION}.${QCA_LIB_MINOR_VERSION}.${QCA_LIB_PATCH_VERSION}")
+
+
 if (APPLE)
    find_package(Carbon REQUIRED)
    set(CMAKE_INSTALL_NAME_DIR ${LIB_INSTALL_DIR})
    set(CMAKE_BUILD_WITH_INSTALL_RPATH TRUE)
 endif (APPLE)
+if (WIN32)
+ set(CMAKE_DEBUG_POSTFIX "d")
+endif (WIN32)
 
 if (CMAKE_COMPILER_IS_GNUCXX)
    if (CMAKE_SYSTEM_NAME MATCHES Linux)
@@ -111,8 +121,10 @@
 
 INCLUDE_DIRECTORIES(${QT_QTCORE_INCLUDE_DIR} "${qca_INCLUDEDIR}/QtCrypto")
 
-CONFIGURE_FILE("qca.pc.cmake" "${CMAKE_BINARY_DIR}/qca.pc" @ONLY)
-INSTALL(FILES "${CMAKE_BINARY_DIR}/qca.pc" DESTINATION ${PKGCONFIG_INSTALL_PREFIX})
+if(NOT WIN32)
+  CONFIGURE_FILE("qca.pc.cmake" "${CMAKE_BINARY_DIR}/qca.pc" @ONLY)
+  INSTALL(FILES "${CMAKE_BINARY_DIR}/qca.pc" DESTINATION ${PKGCONFIG_INSTALL_PREFIX})
+endif(NOT WIN32)
 
 CONFIGURE_FILE("crypto.prf.cmake" "${CMAKE_BINARY_DIR}/crypto.prf" @ONLY)
 INSTALL(FILES "${CMAKE_BINARY_DIR}/crypto.prf" DESTINATION ${CMAKE_INSTALL_PREFIX}/mkspecs/features)
