=== tools/CMakeLists.txt ===
add_subdirectory(mozcerts)
add_subdirectory(qcatool)
