=== unittest/CMakeLists.txt ===
--- 
+++ 
@@ -16,7 +16,8 @@
 add_subdirectory(keystore)
 add_subdirectory(macunittest)
 add_subdirectory(metatype)
-#add_subdirectory(pgpunittest)
+add_subdirectory(pgpunittest)
+add_subdirectory(pipeunittest)
 add_subdirectory(pkits)
 add_subdirectory(randomunittest)
 add_subdirectory(rsaunittest)
