=== examples/aes-cmac/CMakeLists.txt ===
set(aes-cmac_bin_SRCS aes-cmac.cpp)  

add_executable(aes-cmac ${aes-cmac_bin_SRCS})

target_link_libraries( aes-cmac qca ${QT_QTGUI_LIBRARY})
