## qca2 2.0.3

=== debian/changelog ===
qca2 (2.0.3-6) unstable; urgency=medium

  * Update the symbols file for gcc 4.9. Thanks to Sphinx Jiang for the
    initial patch. (Closes: #746895)

 -- Felix Geyer <fgeyer@debian.org>  Wed, 11 Jun 2014 16:54:40 +0200

qca2 (2.0.3-5) unstable; urgency=low

  * Team upload.
  * Change the section of qca2-utils from libs to utils.
  * Bump Standards-Version to 3.9.5, no changes required.
  * Update symbols file.

 -- Pino Toscano <pino@debian.org>  Sun, 08 Dec 2013 22:54:54 +0100

qca2 (2.0.3-4) unstable; urgency=low

  * Team upload.
  * Fix the symbols file.
  * Add pipeunittest_more_wait.diff to increase times of qWait() in the
    pipeunittest test (helps with Hurd).
  * Add patch hurd_msync.diff to temporarly ignore ENOSYS errors for Hurd's
    msync().

 -- Pino Toscano <pino@debian.org>  Mon, 04 Jun 2012 11:49:16 +0200

qca2 (2.0.3-3) unstable; urgency=low

  [ Felix Geyer ]
  * Modify CFLAGS and CXXFLAGS after including debian-qt-kde.mk so the
    changes are not overwritten.
  * Pass $CPPFLAGS to the build system.
  * Update symbols file.
  * Fix FTBFS with gcc 4.7. (Closes: #667339)
    - Add fix_build_gcc4.7.diff, cherry-picked from upstream.
  * Bump Standards-Version to 3.9.3, no changes needed.
  * Convert to multiarch.
    - Bump debhelper compat level to v9.
    - Move qcatool2 into the new binary package qca2-utils.
    - Mark libqca2 and libqca2-dbg as Multi-Arch: same.
  * Fix passing $LDFLAGS to the build system.
  * Pass build flags to qcatool2.
  * Remove confapp.pri in clean target.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 26 May 2012 18:30:41 +0200

qca2 (2.0.3-2) unstable; urgency=low

  [ Felix Geyer ]
  * Add Vcs-* fields.
  * Fix versioned dependency on arch-any package.

  [ Modestas Vainius ]
  * Add myself to Uploaders.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu, 23 Jun 2011 11:30:07 +0300

qca2 (2.0.3-1) unstable; urgency=low

  * New upstream release.

  [ Felix Geyer ]
  * Switch to source format 3.0 (quilt).
  * Switch debian/rules engine to dhmk.
  * Pass --no-separate-debug-info to configure and let dh_strip handle
    the debug symbol seperation.
  * Switch to debhelper compat level 7.
  * Simplify install files.
  * Don't install the TODO file.
  * Bump Standards-Version to 3.9.2.
    - Drop ancient Conflicts.
  * libqca2: don't suggest libqca2-plugin-pkcs11 as it doesn't exist.
  * Add myself as uploader.
  * Fix short description of libqca2-dbg.
  * Add missing ${misc:Depends}.
  * libqca2-dbg: recommend libqt4-dbg.
  * Build with -fvisibility=hidden -fvisibility-inlines-hidden.
    - Add define_qca_export.diff to define QCA_EXPORT as Q_DECL_EXPORT.
  * Disable broken unit test that fails if two subsequent random numbers are
    the same.
    - Add disable_randomunittest.diff
  * Add a symbols file.

  [ Modestas Vainius ]
  * Remove Matthew Rosewarne from Uploaders, R.I.P.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Mon, 30 May 2011 00:33:07 +0300

qca2 (2.0.2-1) unstable; urgency=low

  * New Upstream Version (Closes: Bug#529532)
  * Remove out-of-date VCS fields from debian/control
  * Move -dbg package to section 'debug'

 -- Jan Niehusmann <jan@debian.org>  Sat, 23 May 2009 16:20:39 +0200

qca2 (2.0.1-1) experimental; urgency=low

  * New upstream release.

  +++ Changes by Ana Beatriz Guerrero Lopez:
 
  * Build against Qt 4.4 in experimental. 

  +++ Changes by Matthew Rosewarne:

  * Create debug package.
  * Improve clean rule for apidocs.
  * Have libqca2 recommend ca-certificates.
  * Add VCS fields to control.
  * Bump Standards-Version to 3.8.0.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Mon, 21 Jul 2008 18:28:31 -0400

qca2 (2.0.0-4) unstable; urgency=low

  +++ Changes by Matthew Rosewarne:

  * Switch rules to CDBS.
  * Create API documentation package.
  * Install qmake data files in libqca2-dev.
  * Bump compat to 6.
  * Bump Standards-Version to 3.7.3.
  * Tweak package descriptions.
  * Add Homepage: to control.
  * Suggest qca2 plugins.
  * Add watch file.

  +++ Changes by Ana Beatriz Guerrero Lopez:

  * Update FSF address in the copyright file.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sun, 10 Feb 2008 05:40:45 +0100

qca2 (2.0.0-3) unstable; urgency=low

  * Disable compilation of unit tests. As the plugins necessary to actually
    execute the tests are not available at compile time, and the compiled
    tests are not included in the packages, it's not actually useful to
    compile them in the first place. Additionally, some of the files need
    a huge amount of memory to compile and therefore take excessively long
    to compile on buildds with little memory.

 -- Jan Niehusmann <jan@debian.org>  Tue, 20 Nov 2007 12:16:44 +0100

qca2 (2.0.0-2) unstable; urgency=low

  * Upload to unstable

 -- Jan Niehusmann <jan@debian.org>  Sat, 27 Oct 2007 18:51:54 +0200

qca2 (2.0.0-1) experimental; urgency=low

  * New upstream release
  * Remove the bogous dependency on libxss-dev. This should have gone to psi,
    not qca2
  * libqca2-dev now depends on libqt4-dev (Closes: Bug#441264, Bug#441266)

 -- Jan Niehusmann <jan@debian.org>  Sun, 07 Oct 2007 15:02:41 +0200

qca2 (2.0.0~beta7-3) experimental; urgency=low

  * updated debian/copyright to mention all copyright holders and licenses

 -- Jan Niehusmann <jan@debian.org>  Tue, 14 Aug 2007 18:04:31 +0200

qca2 (2.0.0~beta7-2) experimental; urgency=low

  * Renamed the source package to qca2, to allow qca version 1 to stay in the
    archive in parallel to qca2. (Closes: Bug#435185)

 -- Jan Niehusmann <jan@debian.org>  Thu, 02 Aug 2007 18:03:25 +0200

qca (2.0.0~beta7-1) experimental; urgency=low

  * New upstream release
  * Some packaging cleanups (fixed lintian warnings etc.)
  * Added libxss-dev build dependency (like Ubuntu did a while ago)
  * removed libqt4-debug-dev from Build-Depends (Closes: Bug#407802, Bug#432619)
 

