=== debian/control ===
Source: qca2
Priority: optional
Section: libs
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Jan Niehusmann <jan@debian.org>, Felix Geyer <fgeyer@debian.org>,
 Modestas Vainius <modax@debian.org>
Build-Depends: debhelper (>= 9), pkg-kde-tools (>= 0.12),
 libqt4-dev (>= 4.4.0), ca-certificates
Build-Conflicts: libqca2-dev, qca-dev
Standards-Version: 3.9.5
Homepage: http://delta.affinix.com/qca/
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-req/qca2.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-req/qca2.git

Package: libqca2
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: ca-certificates
Suggests: libqca2-plugin-cyrus-sasl, libqca2-plugin-gnupg, libqca2-plugin-ossl
Description: libraries for the Qt Cryptographic Architecture
 The Qt Cryptographic Architecture (QCA) provides a straightforward and cross-
 platform API for a range of cryptographic features, including SSL/TLS,
 X.509 certificates, SASL, OpenPGP, S/MIME CMS, and smart cards.

Package: qca2-utils
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqca2 (= ${binary:Version})
Breaks: libqca2 (<< 2.0.3-3~)
Replaces: libqca2 (<< 2.0.3-3~)
Description: command line tool for the Qt Cryptographic Architecture
 The Qt Cryptographic Architecture (QCA) provides a straightforward and cross-
 platform API for a range of cryptographic features, including SSL/TLS,
 X.509 certificates, SASL, OpenPGP, S/MIME CMS, and smart cards.
 .
 This package contains the command line tool for the Qt Cryptographic
 Architecture.

Package: libqca2-dbg
Section: debug
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, libqca2 (= ${binary:Version})
Recommends: libqt4-dbg
Priority: extra
Description: debug symbols for the Qt Cryptographic Architecture
 The Qt Cryptographic Architecture (QCA) provides a straightforward and cross-
 platform API for a range of cryptographic features, including SSL/TLS,
 X.509 certificates, SASL, OpenPGP, S/MIME CMS, and smart cards.
 .
 This package contains debugging files used to investigate problems with
 the Qt Cryptographic Architecture libraries.

Package: libqca2-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libqca2 (= ${binary:Version}), libqt4-dev (>= 4.4.0~)
Suggests: libqca2-doc (= ${source:Version})
Conflicts: qca-dev
Description: development files for the Qt Cryptographic Architecture
 The Qt Cryptographic Architecture (QCA) provides a straightforward and cross-
 platform API for a range of cryptographic features, including SSL/TLS,
 X.509 certificates, SASL, OpenPGP, S/MIME CMS, and smart cards.
 .
 This package contains development files for building software that uses the
 Qt Cryptographic Architecture.

Package: libqca2-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Recommends: qt4-doc
Suggests: libqca2-dev (>= ${source:Version})
Description: API documentation for the Qt Cryptographic Architecture
 The Qt Cryptographic Architecture (QCA) provides a straightforward and cross-
 platform API for a range of cryptographic features, including SSL/TLS,
 X.509 certificates, SASL, OpenPGP, S/MIME CMS, and smart cards.
 .
 This package contains documentation for developers working with the
 Qt Cryptographic Architecture.
