=== debian/watch ===
version=3

http://delta.affinix.com/download/qca/2.0/qca-(.*).tar\.bz2
