## qca2 2.1.0

=== debian/changelog ===
qca2 (2.1.0-0ubuntu10) wily; urgency=medium

  * qca2-utils: Fix dependency on libqca2v5.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 01 Aug 2015 10:25:42 +0200

qca2 (2.1.0-0ubuntu9) wily; urgency=medium

  * Rename libqca2 to libqca2v5, follow-up to the libstdc++6 ABI
    transition. Addresses: #791253.
  * Add Breaks/Replaces to the old library package.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 30 Jul 2015 19:13:15 +0200

qca2 (2.1.0-0ubuntu8) wily; urgency=medium

  * Update symbols files.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 13 Jul 2015 11:31:25 +0200

qca2 (2.1.0-0ubuntu7) wily; urgency=medium

  * Build using GCC 5.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 13 Jul 2015 10:36:59 +0200

qca2 (2.1.0-0ubuntu6) vivid; urgency=medium

  * Mark armhf and ppc64el specific symbols as optional.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 09 Mar 2015 19:43:21 +0100

qca2 (2.1.0-0ubuntu5) vivid; urgency=medium

  * Replace non-existing version 2.1.0+git20141126.2258 in the symbols
    file with 2.1.0.
  * Mark more symbols optional with GCC 5.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 09 Mar 2015 18:38:48 +0100

qca2 (2.1.0-0ubuntu3) vivid; urgency=medium

  * Update symbols file

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 14 Jan 2015 18:32:16 +0100

qca2 (2.1.0-0ubuntu2) vivid; urgency=medium

  * New upstream release
    + This release merges the official plugins into the main package.
    + Deprecating these sources and their binaries:
      - qca2-plugin-gnupg
      - qca2-plugin-ossl
      - qca-cyrus-sasl
    + Build system was changed to git
    + Docs packages was removed as the source does not build documentation
    + New binary packages:
      - libqca2-plugins containing all plugins
      - libqca2-plugin-ossl
      - libqca2-plugin-gnupg
      - libqca2-plugin-cyrus-sasl
    + Added transitional packages for old plugins
  * Add kubuntu_ignore_filewatch_test.diff to ignore a test which fails in
    buildds but not for local build
  * Add kubuntu_mkspecs-dir.diff to install mkspecs to correct place

 -- Harald Sitter <apachelogger@kubuntu.org>  Sat, 22 Nov 2014 15:46:56 +0100
