=== debian/control ===
Source: qca2
Priority: optional
Section: libs
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Jan Niehusmann <jan@debian.org>, Felix Geyer <fgeyer@debian.org>,
 Modestas Vainius <modax@debian.org>
Build-Depends: debhelper (>= 9), pkg-kde-tools (>= 0.12), cmake, pkg-config,
 libqt4-dev (>= 4.4.0), ca-certificates, libsasl2-dev, libssl-dev, doxygen
Build-Conflicts: qca-dev
Standards-Version: 3.9.6
Homepage: http://delta.affinix.com/qca/
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-req/qca2.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-req/qca2.git

Package: libqca2-plugins
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: QCA plugins for libqca2
 This plugin provides cryptographic as well as helper plugins for Qt
 Cryptographic Architecture (QCA).

Package: libqca2v5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: ca-certificates, libqca2-plugins
Breaks: libqca2
Replaces: libqca2
Description: libraries for the Qt Cryptographic Architecture
 The Qt Cryptographic Architecture (QCA) provides a straightforward and cross-
 platform API for a range of cryptographic features, including SSL/TLS,
 X.509 certificates, SASL, OpenPGP, S/MIME CMS, and smart cards.

Package: qca2-utils
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqca2v5 (= ${binary:Version})
Breaks: libqca2v5 (<< 2.0.3-3~)
Replaces: libqca2 (<< 2.0.3-3~)
Description: command line tool for the Qt Cryptographic Architecture
 The Qt Cryptographic Architecture (QCA) provides a straightforward and cross-
 platform API for a range of cryptographic features, including SSL/TLS,
 X.509 certificates, SASL, OpenPGP, S/MIME CMS, and smart cards.
 .
 This package contains the command line tool for the Qt Cryptographic
 Architecture.

Package: libqca2-dbg
Section: debug
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, libqca2v5 (= ${binary:Version})
Recommends: libqt4-dbg
Priority: extra
Description: debug symbols for the Qt Cryptographic Architecture
 The Qt Cryptographic Architecture (QCA) provides a straightforward and cross-
 platform API for a range of cryptographic features, including SSL/TLS,
 X.509 certificates, SASL, OpenPGP, S/MIME CMS, and smart cards.
 .
 This package contains debugging files used to investigate problems with
 the Qt Cryptographic Architecture libraries.

Package: libqca2-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libqca2v5 (= ${binary:Version}), libqt4-dev (>= 4.4.0~)
Conflicts: qca-dev
Description: development files for the Qt Cryptographic Architecture
 The Qt Cryptographic Architecture (QCA) provides a straightforward and cross-
 platform API for a range of cryptographic features, including SSL/TLS,
 X.509 certificates, SASL, OpenPGP, S/MIME CMS, and smart cards.
 .
 This package contains development files for building software that uses the
 Qt Cryptographic Architecture.

# Transitional packages can be removed no sooner than May 2016.
# Next Kubuntu LTS is 16.04.
Package: libqca2-plugin-cyrus-sasl
Depends: libqca2-plugins, ${misc:Depends}
Architecture: all
Priority: extra
Section: oldlibs
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.

Package: libqca2-plugin-gnupg
Depends: libqca2-plugins, ${misc:Depends}
Architecture: all
Priority: extra
Section: oldlibs
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.

Package: libqca2-plugin-ossl
Depends: libqca2-plugins, ${misc:Depends}
Architecture: all
Priority: extra
Section: oldlibs
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.
