=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
# Enable strict interdependencies
libpkgs_gen_strict_local_shlibs = $(libpkgs_all_packages)
include /usr/share/pkg-kde-tools/qt-kde-team/3/library-packages.mk

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)


override_dh_auto_configure:
	$(overridden_command)                                   -- -DLIB_SUFFIX="/$(DEB_HOST_MULTIARCH)" -DQT4_BUILD=true

override_dh_auto_build:
	$(overridden_command)

override_dh_auto_install:
	$(overridden_command)

override_dh_install:
	$(overridden_command) $(QT5_DH_EXCLUDE)

override_dh_strip:
	$(overridden_command) $(QT5_DH_EXCLUDE) --dbg-package=libqca2-dbg
