=== debian/watch ===
version=3

http://delta.affinix.com/download/qca/(.*)/qca-(.*).tar\.bz2
